##
## Licensed to the Apache Software Foundation (ASF) under one or more
## contributor license agreements.  See the NOTICE file distributed with
## this work for additional information regarding copyright ownership.
## The ASF licenses this file to You under the Apache License, Version 2.0
## (the "License"); you may not use this file except in compliance with
## the License.  You may obtain a copy of the License at
##
##      http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##

ACLOCAL_AMFLAGS =-I m4

if COND_ODBC
  MAYBE_ODBC = odbc
endif

if COND_CORE
  MAYBE_CORE = core
endif

if COND_NODE
  MAYBE_NODE = ignite
endif

SUBDIRS = \
    common \
    binary \
    jni \
    $(MAYBE_ODBC) \
    $(MAYBE_CORE) \
    $(MAYBE_NODE)

DIST_SUBDIRS = \
    common \
    binary \
    jni \
    odbc \
    core \
    ignite
